﻿// Copyright (c) 2019 .NET Foundation and Contributors. All rights reserved.
// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for full license information.

using System.Windows.Forms;

namespace ReactiveUI.Tests.Winforms
{
    public class FakeView : IViewFor<FakeViewModel>
    {
        public FakeView()
        {
            TheTextBox = new TextBox();
            ViewModel = new FakeViewModel();
        }

        public TextBox TheTextBox { get; protected set; }

        object IViewFor.ViewModel
        {
            get => ViewModel;
            set => ViewModel = (FakeViewModel)value;
        }

        public FakeViewModel ViewModel { get; set; }
    }
}